Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ssl.ftp.client.impl
Class DirectoryEntryImpl

    java.lang.Object
      com.stc.connector.ssl.ftp.client.impl.DirectoryEntryImpl

All Implemented Interfaces:
  GenericDirectoryEntry, DirectoryEntry

    public class DirectoryEntryImpl

extends java.lang.Object
implements DirectoryEntry

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`DirectoryEntryImpl()`

Method Summary
`java.lang.String` | `getDirectory()`
`java.lang.String` | `getFile()`
`long` | `getFileSize()`
`java.lang.String` | `getFileTime()`
`java.lang.String` | `getName()`
`boolean` | `isDir()`
`void` | `isDir(boolean b)`
`void` | `setDirectory(java.lang.String s)`
`void` | `setFile(java.lang.String s)`
`void` | `setFileSize(long l)`
`void` | `setFileTime(java.lang.String t)`
`void` | `setName(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryEntryImpl

    public DirectoryEntryImpl()

Method Detail

### getDirectory

    public java.lang.String getDirectory()

  Specified by:
    `getDirectory` in interface `DirectoryEntry`

### setDirectory

    public void setDirectory(java.lang.String s)

  Specified by:
    `setDirectory` in interface `DirectoryEntry`

### getFile

    public java.lang.String getFile()

  Specified by:
    `getFile` in interface `DirectoryEntry`

### setFile

    public void setFile(java.lang.String s)

  Specified by:
    `setFile` in interface `DirectoryEntry`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `GenericDirectoryEntry`

### setName

    public void setName(java.lang.String s)

  Specified by:
    `setName` in interface `GenericDirectoryEntry`

### getFileTime

    public java.lang.String getFileTime()

  Specified by:
    `getFileTime` in interface `DirectoryEntry`

### setFileTime

    public void setFileTime(java.lang.String t)

  Specified by:
    `setFileTime` in interface `DirectoryEntry`

### getFileSize

    public long getFileSize()

  Specified by:
    `getFileSize` in interface `DirectoryEntry`

### setFileSize

    public void setFileSize(long l)

  Specified by:
    `setFileSize` in interface `DirectoryEntry`

### isDir

    public boolean isDir()

  Specified by:
    `isDir` in interface `GenericDirectoryEntry`
  Specified by:
    `isDir` in interface `DirectoryEntry`

### isDir

    public void isDir(boolean b)

  Specified by:
    `isDir` in interface `GenericDirectoryEntry`
  Specified by:
    `isDir` in interface `DirectoryEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD